Get Customer Cases
curl --request GET \
--url https://api.joinworth.com/case/api/v1/customers/{customerID}/cases \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.joinworth.com/case/api/v1/customers/{customerID}/cases"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.joinworth.com/case/api/v1/customers/{customerID}/cases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "Success",
"data": {
"records": [
{
"id": "1919e44d-a542-450a-bbb2-e3db2e118be5",
"applicant_id": "35430fe0-ec96-46ef-9688-7d0ffe63be8b",
"created_at": "2024-02-14T05:45:10.183Z",
"business_name": "One Stop Furniture And Mattress",
"status_label": "ONBOARDING",
"applicant": {
"first_name": "John",
"last_name": "Doe"
},
"status": {
"id": 3,
"code": "ONBOARDING",
"label": "ONBOARDING"
}
}
],
"total_pages": 1,
"total_items": 1
}
}Cases
Get Customer Cases
Retrieve all cases associated with a particular customerID.
GET
/
customers
/
{customerID}
/
cases
Get Customer Cases
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Example:
"22f210e4-4455-4107-b132-97e8478546ea"
Response
200 - application/json; charset=utf-8
OK
Show child attributes
Show child attributes
Example:
{
"records": [
{
"id": "eb7aa8d8-18e6-49b1-b7e7-6311cae51acd",
"applicant_id": "e8f15d25-ed33-4783-b6fe-0e7d4290c2eb",
"created_at": "2024-02-12T11:08:26.868Z",
"business_name": "One Stop Furniture And Mattress",
"status_label": "ONBOARDING",
"applicant": {
"first_name": "Sandbox",
"last_name": "Applicant"
},
"status": {
"id": 3,
"code": "ONBOARDING",
"label": "ONBOARDING"
}
}
],
"total_pages": 1,
"total_items": 1
}
Was this page helpful?
⌘I